# Update the customer Mobile destination `PUT https://api.leapa.co/v2/customers/{customer_id}/destination/mobile/{account_id}` Send your API key as a bearer token in the `Authorization` header. ## Path parameters - `customer_id` · _string_ · **required** Example: `cus_3d8e51fa20` - `account_id` · _string_ · **required** Example: `acc_62f3a8d15b` ## Request body Required. `application/json`. - `default` · _boolean_ — Indicating whether this is the default destination of payment ```json { "default": false } ``` ## Response 200 - `id` · _string_ — Account Id - `object` · _string_ — Card Object Name - `type` · _string_ — Account Type Allowed values: `bank`, `balance`, `card`, `fees`, `mobile`, `wallet`, `cash`, `ips` - `status` · _string_ — Status of the card account Allowed values: `created`, `validated`, `verified`, `verification_failed`, `errored`, `deleted` - `currency` · _string_ — The 3 letter representing the Currency. Allowed values: `BIF`, `USD`, `KES`, `XAF` - `address` · _AddressResponse_ - `object` · _string_ — Object name - `city` · _string_ — City - `type` · _string_ — The type of address. Can be Business location address or Bank Address Allowed values: `personal`, `business` - `status` · _string_ — Address status - invalid, line1_fail, line1_pass, line1_zip_pass, unchecked, verified, zip_fail, zip_pass Allowed values: `invalid`, `line1_pass`, `line1_name_pass`, `line1_zip_pass`, `name_pass`, `name_zip_pass`, `unchecked`, `verified`, `zip_pass` - `state` · _string_ — State - `zip` · _string_ — Zip - `line1` · _string_ — Line 1 - `line2` · _string_ — Line 2 - `duplicateMobile` · _boolean_ - `brand` · _string_ — The brand name. Allowed values: `ecocash`, `enoti`, `ibb+`, `pesaflash`, `brb`, `bcb`, `bancobu`, `bbci`, `ibb`, `bgf`, `finbank`, `ecobank`, `dtbb`, `kcb`, `crdb`, `bcab`, `bije`, `bhb`, `bidf`, `rnp`, `bfb`, `bll`, `codem`, `cecf`, `corilac`, `difo`, `dukuze`, `eden`, `elite`, `fadeco`, `guilgal`, `hfm`, `hpf`, `ihela`, `inyeryeri`, `inyishu`, `ishaka`, `isoko`, `kaze`, `kazoza`, `champions`, `microbu`, `mutec`, `receca`, `sofepac`, `sopec`, `tujane`, `turame`, `twikangure`, `twitezimbere`, `umubano`, `umuco`, `umurezi`, `wise`, `access`, `baomi`, `cafo`, `cecm`, `cecco`, `cecadm`, `cecd`, `cdec`, `cospec`, `fenacobu`, `fscj`, `fsts`, `fste`, `isigi`, `mupad`, `cecabu`, `meci`, `pivot`, `mec-alpha`, `micropol`, `urunani`, `socade`, `sumaco`, `sepac`, `ucode`, `mani`, `imuhira`, `agrinova`, `lumicash`, `cashtel`, `leapa`, `other` - `language` · _string_ — The Customer Prefered Language. Allowed values: `en`, `fr`, `kr` - `number` · _string_ — Mobile Money Account - `holder_type` · _string_ — Source Holder Type. Allowed values: `individual`, `company` - `default` · _boolean_ — This flag indicate if this is the default source or not. - `holder_name` · _string_ — Holder name. Name of the owner as written on the mobile mobile account. ```json { "id": "obj_5f21c8a40b", "object": "string", "type": "bank", "status": "created", "currency": "BIF", "address": { "object": "string", "city": "string", "type": "personal", "status": "invalid", "state": "string", "zip": "string", "line1": "string", "line2": "string" }, "duplicateMobile": false, "brand": "ecocash", "language": "en", "number": "string", "holder_type": "individual", "default": false, "holder_name": "Jeanne Ndayishimiye" } ``` ## Status codes - `200` OK - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X PUT "https://api.leapa.co/v2/customers/cus_3d8e51fa20/destination/mobile/acc_62f3a8d15b" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "default": false }' ``` --- _Generated from the Leapa documentation at leapa.co/docs._